# Google Fonts Developer API . webfonts

## Instance Methods

Retrieves the list of fonts currently served by the Google Fonts Developer API

### Method Details

`list(sort=None)`

    Retrieves the list of fonts currently served by the Google Fonts Developer API

    Args:
      sort: string, Enables sorting of the list
        Allowed values
          alpha - Sort alphabetically
          date - Sort by date added
          popularity - Sort by popularity
          style - Sort by number of styles
          trending - Sort by trending

    Returns:
      An object of the form:

        {
        "items": [ # The list of fonts currently served by the Google Fonts API.
          {
            "files": { # The font files (with all supported scripts) for each one of the available variants, as a key : value map.
              "a_key": "A String", # The font file URL (value) for an specific variant (key).
            },
            "kind": "webfonts#webfont", # This kind represents a webfont object in the webfonts service.
            "family": "A String", # The name of the font.
            "subsets": [ # The scripts supported by the font.
              "A String",
            ],
            "lastModified": "A String", # The date (format "yyyy-MM-dd") the font was modified for the last time.
            "version": "A String", # The font version.
            "variants": [ # The available variants for the font.
              "A String",
            ],
          },
        ],
        "kind": "webfonts#webfontList", # This kind represents a list of webfont objects in the webfonts service.
      }